import tobiiresearch.implementation
from tobiiresearch.interop import tobii_pro
from importlib import import_module


# Import all modules defined in implementation/__init__.py
for module in tobiiresearch.implementation.__all__:
    import_module("tobiiresearch.implementation." + module)

# Make all globals in each module global in this module.
for module_name, module_content in tobiiresearch.implementation.__dict__.iteritems():
    if module_name in tobiiresearch.implementation.__all__:
        for global_name, global_value in module_content.__dict__.iteritems():
            if not global_name.endswith('__'):  # Don't import built in functionality.
                globals()[global_name] = global_value

__version__ = tobii_pro.get_sdk_version()

# Clean up so we don't export these internally used variables.
del module_name
del module_content
del global_name
del global_value
del module
del import_module
del tobiiresearch
del tobii_pro
